
package com.ejie.ab79.clientesWS.ab59WebService;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ab79.clientesWS.ab59WebService package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CrearPropuestaSancion_QNAME = new QName("http://com.ejie.ab59.serviciosWeb", "crearPropuestaSancion");
    private final static QName _ModificarPropuestaSancion_QNAME = new QName("http://com.ejie.ab59.serviciosWeb", "modificarPropuestaSancion");
    private final static QName _ModificarPropuestaSancionResponse_QNAME = new QName("http://com.ejie.ab59.serviciosWeb", "modificarPropuestaSancionResponse");
    private final static QName _EliminarPropuestaSancionResponse_QNAME = new QName("http://com.ejie.ab59.serviciosWeb", "eliminarPropuestaSancionResponse");
    private final static QName _CrearPropuestaSancionResponse_QNAME = new QName("http://com.ejie.ab59.serviciosWeb", "crearPropuestaSancionResponse");
    private final static QName _EliminarPropuestaSancion_QNAME = new QName("http://com.ejie.ab59.serviciosWeb", "eliminarPropuestaSancion");
    private final static QName _Ab59Exception_QNAME = new QName("http://ab59.exe.webservice/", "Ab59Exception");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ab79.clientesWS.ab59WebService
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link EliminarPropuestaSancionResponse }
     * 
     */
    public EliminarPropuestaSancionResponse createEliminarPropuestaSancionResponse() {
        return new EliminarPropuestaSancionResponse();
    }

    /**
     * Create an instance of {@link ModificarPropuestaSancion }
     * 
     */
    public ModificarPropuestaSancion createModificarPropuestaSancion() {
        return new ModificarPropuestaSancion();
    }

    /**
     * Create an instance of {@link ModificarPropuestaSancionResponse }
     * 
     */
    public ModificarPropuestaSancionResponse createModificarPropuestaSancionResponse() {
        return new ModificarPropuestaSancionResponse();
    }

    /**
     * Create an instance of {@link CrearPropuestaSancion }
     * 
     */
    public CrearPropuestaSancion createCrearPropuestaSancion() {
        return new CrearPropuestaSancion();
    }

    /**
     * Create an instance of {@link EliminarPropuestaSancion }
     * 
     */
    public EliminarPropuestaSancion createEliminarPropuestaSancion() {
        return new EliminarPropuestaSancion();
    }

    /**
     * Create an instance of {@link CrearPropuestaSancionResponse }
     * 
     */
    public CrearPropuestaSancionResponse createCrearPropuestaSancionResponse() {
        return new CrearPropuestaSancionResponse();
    }

    /**
     * Create an instance of {@link DerechosInfringidosWS }
     * 
     */
    public DerechosInfringidosWS createDerechosInfringidosWS() {
        return new DerechosInfringidosWS();
    }

    /**
     * Create an instance of {@link Ab59ExceptionGeneral }
     * 
     */
    public Ab59ExceptionGeneral createAb59ExceptionGeneral() {
        return new Ab59ExceptionGeneral();
    }

    /**
     * Create an instance of {@link PropuestaSancionWS }
     * 
     */
    public PropuestaSancionWS createPropuestaSancionWS() {
        return new PropuestaSancionWS();
    }

    /**
     * Create an instance of {@link PropuestaSancionIdentificadoresWS }
     * 
     */
    public PropuestaSancionIdentificadoresWS createPropuestaSancionIdentificadoresWS() {
        return new PropuestaSancionIdentificadoresWS();
    }

    /**
     * Create an instance of {@link DocumentosWS }
     * 
     */
    public DocumentosWS createDocumentosWS() {
        return new DocumentosWS();
    }

    /**
     * Create an instance of {@link ArticuloInfringidoWS }
     * 
     */
    public ArticuloInfringidoWS createArticuloInfringidoWS() {
        return new ArticuloInfringidoWS();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CrearPropuestaSancion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab59.serviciosWeb", name = "crearPropuestaSancion")
    public JAXBElement<CrearPropuestaSancion> createCrearPropuestaSancion(CrearPropuestaSancion value) {
        return new JAXBElement<CrearPropuestaSancion>(_CrearPropuestaSancion_QNAME, CrearPropuestaSancion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ModificarPropuestaSancion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab59.serviciosWeb", name = "modificarPropuestaSancion")
    public JAXBElement<ModificarPropuestaSancion> createModificarPropuestaSancion(ModificarPropuestaSancion value) {
        return new JAXBElement<ModificarPropuestaSancion>(_ModificarPropuestaSancion_QNAME, ModificarPropuestaSancion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ModificarPropuestaSancionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab59.serviciosWeb", name = "modificarPropuestaSancionResponse")
    public JAXBElement<ModificarPropuestaSancionResponse> createModificarPropuestaSancionResponse(ModificarPropuestaSancionResponse value) {
        return new JAXBElement<ModificarPropuestaSancionResponse>(_ModificarPropuestaSancionResponse_QNAME, ModificarPropuestaSancionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EliminarPropuestaSancionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab59.serviciosWeb", name = "eliminarPropuestaSancionResponse")
    public JAXBElement<EliminarPropuestaSancionResponse> createEliminarPropuestaSancionResponse(EliminarPropuestaSancionResponse value) {
        return new JAXBElement<EliminarPropuestaSancionResponse>(_EliminarPropuestaSancionResponse_QNAME, EliminarPropuestaSancionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CrearPropuestaSancionResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab59.serviciosWeb", name = "crearPropuestaSancionResponse")
    public JAXBElement<CrearPropuestaSancionResponse> createCrearPropuestaSancionResponse(CrearPropuestaSancionResponse value) {
        return new JAXBElement<CrearPropuestaSancionResponse>(_CrearPropuestaSancionResponse_QNAME, CrearPropuestaSancionResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EliminarPropuestaSancion }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://com.ejie.ab59.serviciosWeb", name = "eliminarPropuestaSancion")
    public JAXBElement<EliminarPropuestaSancion> createEliminarPropuestaSancion(EliminarPropuestaSancion value) {
        return new JAXBElement<EliminarPropuestaSancion>(_EliminarPropuestaSancion_QNAME, EliminarPropuestaSancion.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Ab59ExceptionGeneral }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://ab59.exe.webservice/", name = "Ab59Exception")
    public JAXBElement<Ab59ExceptionGeneral> createAb59Exception(Ab59ExceptionGeneral value) {
        return new JAXBElement<Ab59ExceptionGeneral>(_Ab59Exception_QNAME, Ab59ExceptionGeneral.class, null, value);
    }

}
